- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# configuration initilizing functions

## Functions
AXIS2_EXTERN axis2_conf_ctx_t * | axis2_build_conf_ctx (const axutil_env_t *env, const axis2_char_t *repo_name)
AXIS2_EXTERN axis2_conf_ctx_t * | axis2_build_conf_ctx_with_file (const axutil_env_t *env, const axis2_char_t *file)
AXIS2_EXTERN axis2_conf_ctx_t * | axis2_build_client_conf_ctx (const axutil_env_t *env, const axis2_char_t *axis2_home)

## Function Documentation

AXIS2_EXTERN axis2_conf_ctx_t* axis2_build_client_conf_ctx | ( | const axutil_env_t * | env,
|  | const axis2_char_t * | axis2_home |
| ) |  |  |

Builds the Configuration for the Client

Parameters:

  | env | Pointer to environment struct. MUST NOT be NULL
  | axis2_home | axis2 home for client.

Returns:
  pointer to an instance of configuration context properly initialized

AXIS2_EXTERN axis2_conf_ctx_t* axis2_build_conf_ctx | ( | const axutil_env_t * | env,
|  | const axis2_char_t * | repo_name |
| ) |  |  |

Builds the configuration for the Server

Parameters:

  | env | Pointer to environment struct. MUST NOT be NULL
  | repo_name | repository name

Returns:
  pointer to an instance of configuration context properly initialized

AXIS2_EXTERN axis2_conf_ctx_t* axis2_build_conf_ctx_with_file | ( | const axutil_env_t * | env,
|  | const axis2_char_t * | file |
| ) |  |  |

Builds the configuration for the Server using axis2.xml file.

Parameters:

  | env | Pointer to environment struct. MUST NOT be NULL
  | file | path of the axis2.xml file

Returns:
  pointer to an instance of configuration context properly initialized